VariationMotifDetectorHanson

motif

## Class VariationMotifDetectorHanson

- java.lang.Object
- - motif.VariationMotifDetectorHanson

- All Implemented Interfaces:
    MotifDetector

      public class VariationMotifDetectorHanson
      extends java.lang.Object
      implements MotifDetector

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `ALLOWED_INTERVAL_VARIATION`
    `private java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariationMotifDetectorHanson()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `detect(int intervalStartIndex, java.lang.Double[] postIntervals, java.lang.Double[] preIntervals, java.lang.Double[] postIntervalPattern, java.lang.Double[] preIntervalPattern, java.lang.Double[] durations, java.lang.Double[] durationsPattern)`
    `java.lang.String` | `getType()`
    `void` | `setAllowedIntervalVariation(int aiv)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOWED_INTERVAL_VARIATION

          private static int ALLOWED_INTERVAL_VARIATION

    - #### type

          private java.lang.String type

  - ### Constructor Detail

    - #### VariationMotifDetectorHanson

          public VariationMotifDetectorHanson()

  - ### Method Detail

    - #### setAllowedIntervalVariation

          public void setAllowedIntervalVariation(int aiv)

    - #### detect

          public boolean detect(int intervalStartIndex,
                       java.lang.Double[] postIntervals,
                       java.lang.Double[] preIntervals,
                       java.lang.Double[] postIntervalPattern,
                       java.lang.Double[] preIntervalPattern,
                       java.lang.Double[] durations,
                       java.lang.Double[] durationsPattern)

      Specified by:
        `detect` in interface `MotifDetector`

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in interface `MotifDetector`